Subject: Help needed setting wuftpd configuration files

From: [email-masked] (Jose Monteiro)
Date: Wed, 11 Jun 1997 09:13:07 GMT

Hi,

I'm having a little problem installing wuftpd in FreeBSD 2.1.7.

After compilation, I've made the necessary changes in /etc/inetd.conf
to point to the new daemon /usr/local/libexec/ftpd:

#       @(#)inetd.conf  5.4 (Berkeley) 6/30/90
ftp   stream  tcp     nowait  root    /usr/local/libexec/ftpd ftpd -l

After that, I've runned ckconfig to check that the necessary
configuration files were in place:

cvmicro# ./ckconfig
Checking _PATH_FTPUSERS :: /usr/local/etc/ftpusers
ok.

Checking _PATH_FTPACCESS :: /usr/local/etc/ftpaccess
ok.

Checking _PATH_PIDNAMES :: /var/run/ftp.pids-%s
ok.

Checking _PATH_CVT :: /usr/local/etc/ftpconversions
ok.

Then I started making the necessary settings in the configuration
files, so that only anonymous logins are allowed with no more than two
simultaneous users:

cvmicro# cat ftpaccess
class   all   anonymous  *
limit   all   2   Any              /etc/msgs/ftp.deny

But the surprise is that when I try to log in with my username, wuftpd
ignores the settings in the configuration files and *allows* the
login.

cvmicro# ftp localhost
Connected to localhost.
220 cvmicro.telenet.pt FTP server (Version wu-2.4.2-academ[BETA-13](1)
ri Jun 6 18:25:53 WET DST 1997) ready.
Name (localhost:urano): urano
331 Password required for urano.
Password:
230 User urano logged in.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> 

Can anyone give a help on this subject?

*------José Monteiro <[email-masked]>------*
|      TELENET - Serviços de Telecomunicações S.A.      |
|       Tel:+351 1 3139190    Fax:+351 1 3541988        |
| Finger [email-masked] or search key servers |
|                 for my PGP public key                 |
*-------------------------------------------------------*